aboutsummaryrefslogtreecommitdiff
path: root/bigtop-packages/src/deb/tajo/tajo.postinst
diff options
context:
space:
mode:
authoryeongeon <yeongeon@gmail.com>2016-02-15 10:56:01 +0900
committerYoungwoo Kim <ywkim@apache.org>2016-02-15 20:22:04 +0900
commit22caf2ad8d253edf6da83bcdabda8038cbbdd5e8 (patch)
tree083ff24a8a1c1f7509845c2d3895777c6f8a435c /bigtop-packages/src/deb/tajo/tajo.postinst
parentabc43b8073b2c1818214ad5cbd7bbf458785f0b8 (diff)
downloadbigtop-odpi-22caf2ad8d253edf6da83bcdabda8038cbbdd5e8.tar.gz
BIGTOP-2179: Add packaging scripts for Apache Tajo
Signed-off-by: Youngwoo Kim <ywkim@apache.org>
Diffstat (limited to 'bigtop-packages/src/deb/tajo/tajo.postinst')
-rw-r--r--bigtop-packages/src/deb/tajo/tajo.postinst35
1 files changed, 35 insertions, 0 deletions
diff --git a/bigtop-packages/src/deb/tajo/tajo.postinst b/bigtop-packages/src/deb/tajo/tajo.postinst
new file mode 100644
index 00000000..1247cb16
--- /dev/null
+++ b/bigtop-packages/src/deb/tajo/tajo.postinst
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+ configure)
+ # Install config alternatives
+ update-alternatives --install /etc/tajo/conf tajo-conf /etc/tajo/conf.dist 30
+ chown -R tajo:tajo /var/log/tajo /var/lib/tajo /var/run/tajo
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#